Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.j2ee
Class EntityBeanCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractJ2eeCheck
                      com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractBeanCheck
                          com.puppycrawl.tools.checkstyle.checks.j2ee.EntityBeanCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class EntityBeanCheck
extends AbstractBeanCheck

Checks that an EntityBean implementation satisfies EntityBean requirements. Such as:

- The class is defined as `public`.
- The class cannot be defined as `final`.
- It contains a `public` constructor with no parameters.
- It must not define the `finalize` method.

Author:
  Rick Giles

Constructor Summary
`EntityBeanCheck()` Creates a new `EntityBeanCheck` instance.

Method Summary
`PersistenceOption` | `getPersistenceOption()` Returns the set `PersistenceOption`.
`java.lang.String` | `getVersion()` Determines the EJB version.
`void` | `setPersistence(java.lang.String aOption)` Set the persistence option to enforce.
`void` | `setVersion(java.lang.String aVersion)` Sets the EJB version.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractBeanCheck
`checkBean, getDefaultTokens, getRequiredTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractJ2eeCheck
`getMethodChecker, log, logName, setMethodChecker`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityBeanCheck

    public EntityBeanCheck()

  Creates a new `EntityBeanCheck` instance.

Method Detail

### setPersistence

    public void setPersistence(java.lang.String aOption)
                        throws org.apache.commons.beanutils.ConversionException

  Set the persistence option to enforce.

  Parameters:
    `aOption` - string to decode option from
  Throws:
    `org.apache.commons.beanutils.ConversionException` - if unable to decode

### getPersistenceOption

    public PersistenceOption getPersistenceOption()

  Returns the set `PersistenceOption`.

  Returns:
    the set `PersistenceOption`

### setVersion

    public void setVersion(java.lang.String aVersion)

  Sets the EJB version.

  Parameters:
    `aVersion` - the EJB version.

### getVersion

    public java.lang.String getVersion()

  Determines the EJB version.

  Returns:
    the EJB version.

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process
  See Also:
    `Check`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD